package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

/**
 * WEB对象模型版本
 *
 * @author sxp
 * @since May 4, 2018
 */
public class WebObjectModelVersion {
    private String kxe;
    private String kb;
    private Metadata metadata;
    private MinorVersion minorVersion;
    private SchemaNamespace schemaNamespace;

    public WebObjectModelVersion() {
    }

    public String getKxe() {
        return kxe;
    }

    public void setKxe(String kxe) {
        this.kxe = kxe;
    }

    public String getKb() {
        return kb;
    }

    public void setKb(String kb) {
        this.kb = kb;
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public MinorVersion getMinorVersion() {
        return minorVersion;
    }

    public void setMinorVersion(MinorVersion minorVersion) {
        this.minorVersion = minorVersion;
    }

    public SchemaNamespace getSchemaNamespace() {
        return schemaNamespace;
    }

    public void setSchemaNamespace(SchemaNamespace schemaNamespace) {
        this.schemaNamespace = schemaNamespace;
    }

    @Override
    public String toString() {
        return "WebObjectModelVersion [kxe=" + kxe + ", kb=" + kb + ", metadata="
            + metadata + ", minorVersion=" + minorVersion + ", schemaNamespace=" + schemaNamespace + "]";
    }
}
